
/****************************************************************************
**		DISCLAIMER
**
**	Novell, Inc. makes no representations or warranties with respect to
**	any NetWare software, and specifically disclaims any express or
**	implied warranties of merchantability, title, or fitness for a
**	particular purpose.
**
**	Distribution of any NetWare software is forbidden without the
**	express written consent of Novell, Inc.  Further, Novell reserves
**	the right to discontinue distribution of any NetWare software.
**
**	Novell is not responsible for lost profits or revenue, loss of use
**	of the software, loss of data, costs of re-creating lost data, the
**	cost of any substitute equipment or program, or claims by any party
**	other than you.  Novell strongly recommends a backup be made before
**	any software is installed.   Technical support for this software
**	may be provided at the discretion of Novell.
****************************************************************************
#include <stdio.h>
#include <string.h>
#include <alloc.h>

#include <nwcalls.h>
#include <nwnet.h>

void main (int argc, char *argv[])
{
	NWCONN_HANDLE 				conn;
	NWCCODE						ccode;
	NWNUMBER						maxConnects;
	NWOBJ_ID						ID;
	NWINET_ADDR					addr;

	char 				server[50];
	char				name[130];
	char 				cName[80], rev[80], revDate[80], copy[80];
	int	    		i;

	if (argc != 2)
	{
		printf ("\n Usage:  INETADDR servername\n");
	}

	ccode = NWCallsInit (NULL,NULL);
	if (ccode) return;

	strcpy (server, strupr (argv[1]));

	ccode = NWGetConnectionIDFromName ((DWORD) strlen (server),
		server,
		&conn);

	if (ccode) return;

	ccode = NWGetFileServerDescription (conn,
		cName,
		rev,
		revDate,
		copy);
	if (ccode) return;

	printf ("Company Name:  %s\nRevision:  %s\nRev Date:  %s\nCopyright:  %s\n",
		cName,
		rev,
		revDate,
		copy);

	ccode = NWGetFileServerInformation (conn,
		NULL,
		NULL,
		NULL,
		NULL,
		&maxConnects,
		NULL,
		NULL,
		NULL,
		NULL,
		NULL);

	printf ("Number of Connections:  %d\n\n", maxConnects);

	if (ccode) return;

	for (i = 0; i < maxConnects; i++)
	{
		ccode = NWGetConnectionInformation (conn,
			i,
			name,
			NULL,
			&ID,
			NULL);

		if ((ccode == 0) && (ID != 0L))
		{
			ccode = NWGetInetAddr (conn, i, &addr);

			printf ("%d ", i);

			if (ccode == 0)
			{
				printf ("%02X%02X%02X%02X:%02X%02X%02X%02X%02X%02X:%04X ",
					addr.networkAddr[0], addr.networkAddr[1],
					addr.networkAddr[2], addr.networkAddr[3],
					addr.netNodeAddr[0], addr.netNodeAddr[1],
					addr.netNodeAddr[2], addr.netNodeAddr[3],
					addr.netNodeAddr[4], addr.netNodeAddr[5],
					addr.socket);

				switch (addr.connType)
				{
					case 0:	printf ("%d ", addr.connType);
						break;
					case 2:	printf ("NCP ");
						break;
					case 3:	printf ("AFP ");
						break;
				}
			}
			else
			{
				printf ("Could not get address  ");
			}

			printf ("%s\n", name);
		}
	}
}